export declare const styles: {
    sidebar: string;
    resizeHandle: string;
    panelContainer: string;
};
export declare const defaultSidebarOptions: {
    width: string;
    backgroundColor: string;
    overlay: boolean;
};
export declare const inlineStyles: {
    editor: {
        overlay: {
            display: string;
            position: string;
        };
        nonOverlay: {
            display: string;
            flexDirection: string;
            position: string;
        };
    };
    sidebar: {
        base: {
            height: string;
            flexShrink: string;
            display: string;
            flexDirection: string;
            transition: string;
            minWidth: string;
        };
        overlay: {
            position: string;
            top: string;
            zIndex: string;
        };
        nonOverlay: {
            position: string;
            zIndex: string;
            overflow: string;
            flexShrink: string;
            flexBasis: string;
        };
    };
    resizeHandle: {
        position: string;
        top: string;
        width: string;
        height: string;
        cursor: string;
        zIndex: string;
    };
    editorContent: {
        flex: string;
        width: string;
        position: string;
        minWidth: string;
        height: string;
    };
    dragging: {
        cursor: string;
        userSelect: string;
    };
};
