declare const DEFAULT_MODEL = "openai:gpt-4o";
interface GenerateTextParams {
    modelName: string;
    prompt: string;
    editorContent: string;
    apiKey?: string;
    onTextContent?: (text: string) => void;
}
interface AIService {
    generateText: (params: GenerateTextParams) => Promise<string>;
}
export declare const aiService: AIService;
export type { AIService, GenerateTextParams };
export { DEFAULT_MODEL };
